Page MenuHomePhabricator

Public | Complete setup of Notification Server
Closed, ResolvedPublic

Description

Already completed:

  • AWS Security Group: Opened port √
  • Installed: nodejs.x86_64 2:8.6.0-1nodesource √
  • Messed around with setting ls colors and fomenting my disdain for alias and everything not Debian for 2 hours, √
  • Finished configuring aphlict.custom.conf √

Event Timeline

Joe created this task.Oct 7 2017, 1:31 AM
Joe updated the task description. (Show Details)Oct 7 2017, 2:52 AM
Joe updated the task description. (Show Details)
Joe updated the task description. (Show Details)
Joe raised the priority of this task from Low to Unbreak Now!.EditedOct 7 2017, 4:52 AM

I knew I'd done this frickafrackablohbnoohgoidhiwohdow2hiow ws_tunnel thing through apache before... for Confluence and JIRA /synchronicity stuff.

Thanks, again, Atlassian:
https://confluence.atlassian.com/confeap/using-apache-with-mod_proxy-480346967.html

# Put this after the other LoadModule directives
LoadModule proxy_module /usr/lib/apache2/modules/mod_proxy.so
LoadModule proxy_http_module /usr/lib/apache2/modules/mod_proxy_http.so
LoadModule proxy_wstunnel_module /usr/lib/apache2/modules/mod_proxy_wstunnel.so
LoadModule rewrite_module /usr/lib/apache2/modules/mod_rewrite.so

# Put this in the main section of your configuration (or virtual host, if using Apache virtual hosts)
ProxyRequests Off
ProxyPreserveHost On

<Proxy *>
    Require all granted
</Proxy>

ProxyPass /synchrony http://localhost:8091/synchrony
<Location /synchrony>
    Require all granted
    RewriteEngine on
    RewriteCond %{HTTP:UPGRADE} ^WebSocket$ [NC]
    RewriteCond %{HTTP:CONNECTION} Upgrade$ [NC]
    RewriteRule .* ws://localhost:8091%{REQUEST_URI} [P]
</Location>
 
ProxyPass /confluence http://<domain>:8090/confluence
ProxyPassReverse /confluence http://<domain>:8090/confluence

<Location /confluence>
    Require all granted
</Location>

Compare and contrast: https://httpd.apache.org/docs/2.4/mod/mod_proxy_wstunnel.html

Summary
This module requires the service of mod_proxy. It provides support for the tunnelling of web socket connections to a backend websockets server. The connection is automatically upgraded to a websocket connection:

HTTP Response

Upgrade: WebSocket
Connection: Upgrade
Proxying requests to a websockets server like echo.websocket.org can be done using the ProxyPass directive:

ProxyPass "/ws2/"  "ws://echo.websocket.org/"
ProxyPass "/wss2/" "wss://echo.websocket.org/"
Load balancing for multiple backends can be achieved using mod_proxy_balancer.

In fact the module can be used to upgrade to other protocols, you can set the upgrade parameter in the ProxyPass directive to allow the module to accept other protocol. NONE means you bypass the check for the header but still upgrade to WebSocket. ANY means that Upgrade will read in the request headers and use in the response Upgrade
Joe closed this task as Spite.Oct 7 2017, 4:56 AM
Joe claimed this task.
Joe reopened this task as Open.

Ooo, Spite doesn't look good...

Joe closed this task as Resolved.Oct 8 2017, 12:47 PM

Yay.

Joe shifted this object from the S1 Default space to the S5 Public space.Oct 9 2017, 7:11 PM